/* Slide Careers */

.section-slides-careers {
  width: 100%;
  position: relative;
  overflow: hidden;
}

.slider-wrapper-careers {
  width: 100%;
  position: relative;
}

.slider-item-careers {
  width: 100%;
  height: calc(100vh - 104px - 162px);
  background-size: cover;
  background-position: center;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  background-image: url('../img/slidecareers.jpg');
}

.overlay-careers {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(100vh - 104px - 162px);
  background: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

.hero-content-careers {
  position: relative;
  z-index: 2;
  width: 100%;
  max-width: 1200px;
  padding: 0 20px;
  box-sizing: border-box;
}

.hero-container-careers {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  z-index: 1;
}

.hero-grupo-careers {
  display: flex;
  text-align: center;
  width: 100%;
  max-width: 1280px;
  padding: 64px 128px;
  gap: 32px;
  flex-direction: column;

}

.hero-grupo-careers h2 {
  color: var(--text-invert);
}

.hero-texto-careers {
  display: flex;
  color: var(--color-neutro-0);
  gap: 8px;
  flex-direction: column;
}

.hero-texto-careers small {
  text-transform: uppercase;
  color: var(--color-blue-30);
}

.hero-texto-careers {

  h2,
  p {
    color: var(--text-invert);
  }
}

.search-form-careers {
  display: flex;
  padding: 8px 16px;
  align-items: center;
  gap: 8px;
  flex: 1 0 0;
  width: 100%;

  border-radius: 8px;
  background: var(--componentes-dropdown-primary);
}

.container-search-btn {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 32px;
  align-self: stretch;
}

.search-form-careers input {
  border: none;
  width: 100%;
  outline: none;

  color: var(--text-contrast);

  font-family: var(--font-family-body);
  font-size: var(--font-size-body);
  font-style: normal;
  font-weight: 400;
  line-height: 20px;

}

.input-wrapper-careers input::placeholder {
  color: var(--color-neutro-70);
}

.btn-search-careers {
  background-color: var(--color-orange-60);
  color: var(--color-neutro-100);
  border: none;
  height: 60px;
  border-radius: 8px;
  font-size: 18px;
  font-weight: 600;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px 24px;
  transition: background 0.3s;
  white-space: nowrap;
}

/* Section Culture */

.careers-section {
  position: relative;
  display: flex;
  flex-direction: column;

  background: var(--surface-secondary);

  align-content: center;
  flex-wrap: wrap;
}

.careers-culture {
  display: flex;
  padding: 64px;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  align-self: stretch;
  max-width: 1280px;

  width: 100%;
}

.careers-culture-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 32px;
}

.careers-culture-card {
  position: relative;
  border-radius: 16px;
  overflow: hidden;
  aspect-ratio: 1 / 1;
  width: 100%;
}

.careers-culture-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.careers-culture-card::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
}

.careers-culture-label {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 16px;
  width: 100%;
  z-index: 10;
}

.careers-culture-label h5{
  color: var(--text-invert);
}

.section-benefits {
  display: flex;
  background: var(--surface-primary);
  justify-content: center;

}

.container-benefits {
  display: flex;
  padding: 64px;
  align-items: center;
  gap: 32px;
  align-self: stretch;
  justify-content: center;
  max-width: 1280px;
}

.content-benefits {
  display: flex;
  /* width: 560px; */
  min-width: 300px;
  flex: 1;
  flex-direction: column;
  align-items: flex-start;
  gap: 32px;
}

.card-benefits {
  display: flex;
  padding: 16px;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;

  border-radius: 16px;
  background: var(--surface-secondary);
}

.icon-benefits {
  display: flex;
  padding: 8px;
  align-items: center;
  gap: 8px;

  border-radius: 99px;
  background: var(--color-blue-10);
}

.text-benefits {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  flex: 1 0 0;
}

.container-img-benefits {
  max-height: 436px;
  min-width: 300px;
  flex: 1;
  overflow: hidden;
  border-radius: 16px;
}

.container-img-benefits img {
  height: 100%;
  width: 100%;
  max-height: 436px;
  object-fit: cover;
}

.apply-section {
  display: flex;
  justify-content: center;
  background: var(--surface-secondary);
}

.apply-container {
  display: flex;
  padding: 64px;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  max-width: 1280px;
}

.apply-title-descript {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

.apply-title-descript {
  text-align: center;
}

.apply-cards-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-width: 200px;
  gap: 32px;
  flex: 1 0 0;
}

.apply-container-img {
  max-width: 300px;
  width: 100%;
  height: 100%;
  border-radius: 16px;
  overflow: hidden;
}

.apply-container-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.apply-card {
  display: flex;
  width: 100%;
  padding: 16px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 16px;

  border-radius: 16px;
  background: var(--surface-primary);
}

.apply-icon-text {
  display: flex;
  flex-direction: row;
  display: flex;
  align-items: center;
  gap: 16px;
  align-self: stretch;
}

.apply-icon {
  display: flex;
  align-items: center;
  padding: 8px;

  border-radius: 8px;
  background: var(--surface-brand-secondary-default);
}

.apply-cards-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 32px;
  align-self: stretch;
}

.openings-section {
  display: flex;
  justify-content: center;
}

.openings-container {
  display: flex;
  padding: 64px;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  width: 100%;
  max-width: 1280px;
}

.openings-titles {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 8px;
}

.openings-filter-container {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: center;
  gap: 32px;
}

.search-container {
  display: flex;
  flex: 1 0 0;
  padding: 8px 16px;
  align-items: center;
  gap: 16px;

  border-radius: 8px;
  background: var(--componentes-dropdown-primary);
  border: none;
}

input[type="search"] {
  border: none;
  outline: none;
  width: 100%;
  font-family: var(--font-family-body);
  font-size: var(--font-size-body, 16px);
  font-weight: 400;
  line-height: 20px;
}

/* Styling the placeholder text specifically */
input[type="search"]::placeholder {
  color: var(--text-contrast);
  /* Typography/Body */
  font-family: var(--font-family-body, "Work Sans");
  font-size: var(--font-size-body, 16px);
  font-weight: 400;
  line-height: 20px;
  opacity: 1;
}

/* Removes the default 'X' clear button on some browsers */
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  display: none;
}

.select-container {
  /* 1. Reset default appearance */
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;

  /* 2. Dimensions and Spacing */
  flex: 1 0 0;
  /* Adjust as needed */
  padding: 8px 16px;
  /* Extra right padding to make room for the arrow */

  /* 3. Visual Style */
  background: var(--componentes-dropdown-primary);
  border: none;
  border-radius: 8px;

  /* 4. Typography */
  color: var(--text-contrast);

  /* Typography/Body */
  font-family: var(--font-family-body);
  font-size: var(--font-size-body, 16px);
  font-style: normal;
  font-weight: 400;
  line-height: 20px;

  /* 5. The Custom Arrow (Data URI SVG) */
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M21 7.71816L12.7252 15.9931C12.5332 16.1849 12.2768 16.2903 12.0031 16.2897C11.7303 16.2903 11.4738 16.1849 11.2816 15.9931L2.99931 7.71045' stroke='%23333333' stroke-width='2.25009' stroke-linecap='round'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right 16px center;
  background-size: 20px;
}

/* Optional: Focus state to look like the image when clicked */
.select-container:focus {
  outline: none;
}

.opening-list-cards {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: flex-start;
  gap: 32px;
}

.opening-card-spontenous {
  display: flex;
  padding: 24px;
  align-items: center;
  gap: 32px;
  align-self: stretch;
  justify-content: space-between;

  border-radius: 16px;
  background: var(--surface-secondary, #FFF);
}

.opening-card {
  display: flex;
  padding: 24px;
  align-items: center;
  gap: 32px;
  align-self: stretch;
  justify-content: space-between;

  border-radius: 16px;
  background: var(--surface-secondary, #FFF);
}

.opening-card-content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}

.opening-card-settings {
  display: flex;
  gap: 16px;
  align-self: stretch;
  flex-wrap: wrap;
}

.opening-item {
  display: flex;
  align-items: center;
  gap: 8px;
}

.opening-card,
.opening-card-spontenous {

  &>.btn-secondary-cta {
    width: 180px;
  }

}

.hidden-D-apply {
  display: none;
}

.hidden-DM-opening {
  display: none;
}


/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/


@media (max-width: 1152px) {

  .slider-item-careers,
  .overlay-careers {
    height: calc(50vh - 88px);
  }

  .hero-grupo-careers {
    padding: 84px 24px;
    gap: 24px;
  }

  .careers-culture {
    gap: 24px;
    padding: 24px;
  }

  .careers-culture__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
  }

  .container-benefits {
    padding: 24px;
  }

  .container-benefits {
    flex-direction: column;
    gap: 24px;
    min-width: 0;
  }

  .content-benefits {
    gap: 24px;
    flex: 0;
  }

  .apply-container {
    gap: 24px;
    padding: 24px;
  }

  .hidden-TM-apply {
    display: none;
  }

  .hidden-D-apply {
    display: flex;
  }

  .careers-culture__card {
    aspect-ratio: 0;
  }

  .container-img-benefits {
    max-height: 400px;

    width: 100%;

    border-radius: 16px;
    min-width: none;
  }

  .container-img-benefits img {
    max-height: none;
    height: 400px;
  }

  .apply-cards-container-TM {
    flex-direction: column;
    gap: 24px;
  }

  .apply-container-img {
    max-width: none;
    height: 400px;
  }

  .openings-container {
    padding: 24px;
    gap: 24px;
  }

  .openings-filter-container {
    gap: 24px;
  }

  .opening-list-cards {
    gap: 24px;
  }

  .opening-card-spontenous {
    gap: 24px;
  }

  .hidden-T-opening {
    display: none;
  }

  .hidden-DM-opening {
    display: flex;
  }

  .filter-wrapper {
    display: flex;
    flex-direction: row;
    gap: 24px;
  }

  .openings-filter-container {
    flex-direction: column;
    gap: 24px;
  }
}

@media (max-width: 768px) {

  .slider-item-careers,
  .overlay-careers {
    height: calc(50vh - 124px);
  }

  .hero-grupo-careers {
    padding: 48px 16px;
    gap: 16px;
  }

  .careers-culture {
    gap: 16px;
    padding: 16px;
  }

  .careers-culture__grid {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
  }

  .container-benefits {
    padding: 16px;
  }

  .container-benefits {
    flex-direction: column;
    gap: 16px;

  }

  .content-benefits {
    gap: 16px;

  }

  .apply-container {
    gap: 16px;
    padding: 16px;
  }

  .careers-culture__card {
    height: 300px;
  }

  .container-img-benefits {
    max-height: 300px;
    border-radius: 16px;

  }

  .container-img-benefits img {
    height: 300px;
  }

  .apply-cards-container-TM {
    gap: 16px;
  }

  .apply-container-img {
    height: 300px;
  }

  .openings-container {
    padding: 16px;
    gap: 16px;
  }

  .openings-filter-container {
    gap: 16px;
  }

  .opening-list-cards {
    gap: 16px;
  }

  .openings-filter-container {
    flex-direction: column;
    gap: 8px;
  }

  .opening-card,
  .opening-card-spontenous {
    flex-direction: column;
    padding: 16px;
    gap: 16px;

    &>.btn-secondary-cta {
      width: 100%
    }

    h4 {
      text-align: center;
    }

  }

  .hidden-T-opening {
    display: flex;
  }

  .hidden-DM-opening {
    display: none;
  }

  .container-search-btn {
    flex-direction: column;
    gap: 16px;

    .btn-primary {
      width: 100%;
    }
  }

}